com.io7m.jstructural.annotated

## Class SASubsectionNumberPSS

- java.lang.Object
- - com.io7m.jstructural.annotated.SASubsectionNumber
  - - com.io7m.jstructural.annotated.SASubsectionNumberPSS

-     @Immutable
      public final class SASubsectionNumberPSS
      extends SASubsectionNumber

  A subsection number consisting of a part, section, and subsection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SASubsectionNumberPSS(int in_part, int in_section, int in_subsection)` Construct a new subsection number

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `getPart()`
    `int` | `getSection()`
    `int` | `getSubsection()`
    `int` | `hashCode()`
    `<T> T` | `subsectionNumberAccept(SASubsectionNumberVisitor<T> v)` Accept a subsection number visitor.
    `String` | `subsectionNumberFormat()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SASubsectionNumberPSS

          public SASubsectionNumberPSS(int in_part,
                                       int in_section,
                                       int in_subsection)

      Construct a new subsection number
      Parameters:
        `in_part` - The part number
        `in_section` - The section number
        `in_subsection` - The subsection number

  - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getPart

          public int getPart()

      Returns:
        The part number

    - #### getSection

          public int getSection()

      Returns:
        The section number

    - #### getSubsection

          public int getSubsection()

      Returns:
        The subsection number

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### subsectionNumberAccept

          public <T> T subsectionNumberAccept(SASubsectionNumberVisitor<T> v)
                                       throws Exception

      Description copied from class: `SASubsectionNumber`
      Accept a subsection number visitor.
      Specified by:
        `subsectionNumberAccept` in class `SASubsectionNumber`
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

    - #### subsectionNumberFormat

          public String subsectionNumberFormat()

      Specified by:
        `subsectionNumberFormat` in class `SASubsectionNumber`
      Returns:
        A human-readable string representing the subsection number (such as "1.2.3")

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 <code@io7m.com> http://io7m.com